// creator  : weidu.exe (version 23100)
// argument : PPBHAAL.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~PPBHAAL~

IF ~NumTimesTalkedTo(0)~ THEN BEGIN 0 // from:
  SAY #44846 /* ~Fall to your knees! You can do no other! I am within you! I am your essence!~ [PPBHAA01] */
  IF ~~ THEN REPLY #44847 /* ~I do not wish to fight you. If you are within me, I want your power.~ */ GOTO 2
  IF ~~ THEN REPLY #44848 /* ~What do you want here?~ */ GOTO 3
  IF ~~ THEN REPLY #44849 /* ~You wish to battle within me? Catch me if you can!~ */ GOTO 4
  IF ~~ THEN REPLY #44852 /* ~Monster! Get out of my head! I banish you!~ */ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.3
  SAY #44850 /* ~You may as well ask to live without blood, or deny you breathe air! I am of you and within you; I am what you should have been!~ [PPBHAA02] */
  IF ~~ THEN DO ~Enemy()~ EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.0
  SAY #44851 /* ~You were not born to replace, you are fuel for the return! I shall act as you were born to! You will surrender to the instinct! To the blood!~ [PPBHAA03] */
  IF ~~ THEN DO ~Enemy()~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 0.1
  SAY #44853 /* ~What do I want? Your life, your soul, your body! I am the instinct that will fuel the father! I am the blood!~ [PPBHAA04] */
  IF ~~ THEN DO ~Enemy()~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 0.2
  SAY #44854 /* ~You cannot run from yourself; you cannot defeat yourself! I am the blood! I am the instinct!~ [PPBHAA05] */
  IF ~~ THEN DO ~Enemy()~ EXIT
END

IF ~Global("AsylumPlot","GLOBAL",30)~ THEN BEGIN 5 // from:
  SAY #44895 /* ~I am your instinct, yet you deny me! Fight me within your own mind! I should devour you! How do you stand?!~ [PPBHAA06] */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #44896 /* ~I sense... your soul... it has taken form to guide from within! You are strange among your kin!~ [PPBHAA07] */
  IF ~AreaCheck("ar0012")
See("ppdrimo")~ THEN GOTO 7
  IF ~OR(2)
!See("ppdrimo")
AreaCheck("ar0028")~ THEN GOTO 8
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #44897 /* ~But it... it is weak and will not help again! You are empty inside! There is nothing within... but the instinct!~ [PPBHAA08] */
  IF ~~ THEN EXTERN ~PPDRIMO~ 6
END

IF ~~ THEN BEGIN 8 // from: 6.1
  SAY #62025 /* ~But it... it is weak and will not help again! You are empty inside! There is nothing within... but the instinct!~ [PPBHAA08] */
  IF ~~ THEN DO ~SetGlobal("AsylumPlot","GLOBAL",31)
StartCutSceneMode()
StartCutScene("Cut41i")~ EXIT
END
